package ru.dbotthepony.kstarbound.test

import com.kenai.jffi.MemoryIO
import org.junit.jupiter.api.Test
import ru.dbotthepony.kstarbound.lua.LuaHandle
import ru.dbotthepony.kstarbound.lua.LuaThread
import ru.dbotthepony.kstarbound.math.vector.Vector2d
import java.io.File

object LuaTests {
	@Test
	fun test() {
		val lua = LuaThread()

		lua.push {
			throw IllegalArgumentException("test!")
		}

		lua.storeGlobal("test")

		val results = lua.call(5) {
			lua.load("""
				return 1, 4, 4.0, 4.1, {a = 71}
			""".trimIndent())
		}

		println(results)
		println(results.last().toJson())
		lua.close()
	}
}
